# ------------------------------------------------------------------------------
# Amazon Step Function variables
# ------------------------------------------------------------------------------

variable "tags" {
  description = "A mapping of tags to assign to the resource"
  type        = map(string)
  default     = {}
}

variable "name" {
  description = "The state machine name."
  type        = string
}

variable "definition" {
  description = "The Step Function definition."
  type        = string
}

variable "type" {
  description = "Determines whether a Standard or Express state machine is created.."
  type        = string
}

variable "role_arn" {
  description = "The Step Function role."
  type        = string
}
