module "sns" {
  source = "../modules/sns"

  providers = {
    aws = aws.aws
  }

  name = "slococo"
  delivery = {
    http = {
      defaultHealthyRetryPolicy = {
        minDelayTarget     = 20,
        maxDelayTarget     = 20,
        numRetries         = 3,
        numMaxDelayRetries = 0,
        numNoDelayRetries  = 0,
        numMinDelayRetries = 0,
        backoffFunction    = "linear"
      },
      disableSubscriptionOverrides = false,
      defaultThrottlePolicy = {
        maxReceivesPerSecond = 1
      }
    }
  }
  protocol = "email"
  emails   = local.emails
}
